Effective Price Lines
Authorizations
AuthenticationstringRequired
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Responses
200Success
application/json
List of price lines
descriptionstringOptionalExample:
Description of the line
Forfait transportquantitynumberOptionalExample:
1unit_pricenumberOptionalExample:
0pricenumberOptionalExample:
10currencystringOptionalExample:
EURmetricstring · enumOptionalPossible values:
Metric of the price line
get/transports/{uid}/effective-price-lines/
GET /api/v4/transports/{uid}/effective-price-lines/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200Success
[
{
"description": "Forfait transport",
"quantity": 1,
"unit_price": 0,
"price": 10,
"currency": "EUR",
"invoice_item": {
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"remote_id": "ITEM_123",
"description": "Gas transportation"
},
"metric": "FLAT"
}
]Last updated
Was this helpful?